#!/opt/cloudlinux/venv/bin/python3 -bb
# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2022 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT
#

import sys
from clcommon.utils import is_litespeed_running


LS_STATUS_FILE = "/opt/cloudlinux/litespeed_status"


def detect_running_litespeed():
    is_ls_running = is_litespeed_running()
    # Write "0" to /opt/cloudlinux/litespeed_status if LS working, "1" - not working
    with open(LS_STATUS_FILE, "w", encoding="utf-8") as f:
        f.write("0" if is_ls_running else "1")


def main():
    is_error = False
    try:
        detect_running_litespeed()
    except Exception as e:
        is_error = True
        sys.stderr.write(f"{e}\n")
    if is_error:
        sys.exit(1)


if __name__ == "__main__":
    main()
